Subject: bug#69465: "unbound variable" but it's not?

From: Nathan Dehnel <[email-masked]>
Date: Sun, 3 Mar 2024 01:51:39 -0600

I'm now getting this from a new package I wrote with a jack2 import. I
think my whole channel is hosed somehow and I can't add any new
packages to it.

Backtrace:
In guix/repl.scm:
   141:4 19 (machine-repl _ _)
   126:7 18 (_)
In ice-9/boot-9.scm:
 1747:15 17 (with-exception-handler #<procedure 7ffff1d32180 at ic?> ?)
 1752:10 16 (with-exception-handler _ _ #:unwind? _ # _)
In guix/repl.scm:
   99:21 15 (_)
In unknown file:
         14 (_ #<procedure 7ffff7886a20 at guix/repl.scm:100:25 ()> ?)
         13 (primitive-load "/gnu/store/b82ry641ki1xkmhm49archdpghy?")
In ice-9/boot-9.scm:
 1752:10 12 (with-exception-handler _ _ #:unwind? _ # _)
In gnu/packages.scm:
  439:11 11 (generate-package-cache _)
In srfi/srfi-1.scm:
  460:18 10 (fold #<procedure expand-cache expr> _ _)
In gnu/packages.scm:
  399:37  9 (expand-cache . _)
In guix/packages.scm:
 1378:17  8 (supported-package? #<package [email-masked] gooby-cha?> ?)
In guix/memoization.scm:
   101:0  7 (_ #<hash-table 7fffebfea400 14361/28099> #<package ja?> ?)
In guix/packages.scm:
 1356:39  6 (_)
 1618:16  5 (package->bag _ _ _ #:graft? _)
 1719:48  4 (thunk)
In gooby-channel/packages/jamulus.scm:
   60:18  3 (inputs #<package [email-masked] gooby-channel/packages?>)
In ice-9/boot-9.scm:
 1685:16  2 (raise-exception _ #:continuable? _)
 1780:13  1 (_ #<&compound-exception components: (#<&undefined-vari?>)
In unknown file:
          0 (backtrace #<undefined>)

(exception unbound-variable (value #f) (value "Unbound variable: ~S")
(value (jack2)) (value #f))

On Wed, Feb 28, 2024 at 11:49 PM Nathan Dehnel <[email-masked]> wrote:
>
> "unbound variable" for rust-objc-0.2 but I see nothing wrong with it.
> package made with guix import
>
> during guix pull:
>
> Generating package cache for
> '/gnu/store/cyh6zz1x9br8p8rv0mszwvi76pb95fh6-profile'...
>
> Backtrace:
> (repl-version 0 1 1)
> Generating package cache for
> '/gnu/store/asq2jgvil9n9grm8jb3ia2ypbkgvpcn3-profile'...
> WARNING: (gooby-channel packages osandov-linux): `zlib' imported from
> both (guix licenses) and (gnu packages compression)
>
> Backtrace:
> In guix/repl.scm:
>    141:4 19 (machine-repl _ _)
>    126:7 18 (_)
> In ice-9/boot-9.scm:
>  1747:15 17 (with-exception-handler #<procedure 7ffff1d32180 at ic?> ?)
>  1752:10 16 (with-exception-handler _ _ #:unwind? _ # _)
> In guix/repl.scm:
>    99:21 15 (_)
> In unknown file:
>          14 (_ #<procedure 7ffff78846c0 at guix/repl.scm:100:25 ()> ?)
>          13 (primitive-load "/gnu/store/1vn5x4lh4mpyjm13cykmsb8aacb?")
> In ice-9/boot-9.scm:
>  1752:10 12 (with-exception-handler _ _ #:unwind? _ # _)
> In gnu/packages.scm:
>   439:11 11 (generate-package-cache _)
> In srfi/srfi-1.scm:
>   460:18 10 (fold #<procedure expand-cache expr> _ _)
> In gnu/packages.scm:
>   399:37  9 (expand-cache . _)
> In guix/packages.scm:
>  1378:17  8 (supported-package? #<package [email-masked] gooby?> ?)
> In guix/memoization.scm:
>    101:0  7 (_ #<hash-table 7fffebe3cc80 23125/28099> #<package ru?> ?)
> In guix/packages.scm:
>  1356:39  6 (_)
>  1618:16  5 (package->bag _ _ _ #:graft? _)
>  1723:43  4 (thunk)
> In gooby-channel/packages/test.scm:
>    39:37  3 (arguments #<package [email-masked] gooby-channel/p?>)
> In ice-9/boot-9.scm:
>  1685:16  2 (raise-exception _ #:continuable? _)
>  1780:13  1 (_ #<&compound-exception components: (#<&undefined-vari?>)
> In unknown file:
>           0 (backtrace #<undefined>)
>
> (exception unbound-variable (value #f) (value "Unbound variable: ~S")
> (value (rust-objc-0.2)) (value #f))
>
> (define-module (gooby-channel packages test)
>   #:use-module (guix packages)
>   #:use-module (gnu packages)
>   #:use-module (guix build-system cargo)
>   #:use-module ((guix licenses) #:prefix license:)
>   #:use-module (guix git-download)
>   #:use-module (guix download)
>   #:use-module (gnu packages crates-io)
>   #:use-module (gnu packages crates-graphics)
>   #:use-module (gnu packages crypto)
> )
>
> (define-public rust-eframe-0.26
>   (package
>     (name "rust-eframe")
>     (version "0.26.2")
>     (source
>      (origin
>        (method url-fetch)
>        (uri (crate-uri "eframe" version))
>        (file-name (string-append name "-" version ".tar.gz"))
>        (sha256
>         (base32 "0vzjpm6kmqnnyhsvm4gq7yi7033m7mq88x15h2vnigqkdnxw2mn4"))))
>     (build-system cargo-build-system)
>     (arguments
>      `(#:skip-build? #t
>        #:cargo-inputs (
>                        ("rust-objc" ,rust-objc-0.2)
>
> )
> ))
>     (home-page "https://github.com/emilk/egui/tree/master/crates/eframe")
>     (synopsis
>      "egui framework - write GUI apps that compiles to web and/or natively")
>     (description
>      "egui framework - write GUI apps that compiles to web and/or natively")
>     (license (list license:expat license:asl2.0))))